Skip to main content

Get Affiliate Commission Detail Record (affiliate only)

request

get /api/v3/rebate/affiliate/commission/detail?timestamp={{timestamp}}&signature={{signature}}

response

{
"success": true,
"code": 0,
"message": null,
"data": {
"pageSize": 10,
"totalCount": 5,
"totalPage": 1,
"currentPage": 1,
"totalCommissionUsdtAmount": "0.0011",
"totalTradeUsdtAmount": "281.8096",
"resultList": [
{
"type": 2,
"sourceType": 2,
"state": 2,
"date": 1689264000000,
"uid": "17875073",
"rate": 0.1,
"symbol": "USDT",
"takerAmount": "170.49326",
"makerAmount": "0",
"amountCurrency": "USDT",
"usdtAmount": "170.49326",
"commission": "0.00085246",
"currency": "USDT"
}
]
}
}


HTTP Request

  • GET /api/v3/rebate/affiliate/commission/detail

Permission: SPOT_ACCOUNT_READ

Weight(IP): 1

Request

NameTypeMandatoryDescription
startTimelongNoUnix millisecond timestamp
endTimelongNoUnix millisecond timestamp
inviteCodestringNoinviteCode
pageintNopage
pageSizeintNopageSize,default: 10
typeintNocommission type,1:spot,2:futures,3:ETF
timestamplongYestimestamp
signaturestringYessignature

Response

NameTypeDescription
totalCommissionUsdtAmountstringtotal commission in usdt
totalTradeUsdtAmountstringtotal trade volume in usdt
typeintcommission type,1:spot 2:futures 3:ETF
sourceTypeintsourceType,1:referral 2:sub-affiliate
stateintcommission state
datelongtrade date
uidstringuid
ratestringcommission rate
symbolstringsymbol
takerAmountstringtaker amount
makerAmountstringmaker amount
amountCurrencystringamount currency
usdtAmountstringusdt amount
commissionstringcommission amount
currencystringcommission currency

If startTime and endTime are not sent, the data from T-7 to T is returned. If type is not sent, the data of all types is returned,maximum 30 days data can be queried at one time.